apiVersion: networking.istio.io/v1alpha3
kind: Gateway
metadata:
  name: builder-be-gateway
  namespace: <<appenv>>builder-be
spec:
  selector:
    istio: ingressgateway # use istio default controller
  servers:
    - hosts:
        - builder-be.staging.adaoncloud.com
      port:
        number: 443
        name: https-builder-be
        protocol: HTTPS
      tls:
        mode: SIMPLE
        credentialName: "builder-be-tls"
    - hosts:
        - builder-be.staging.adaoncloud.com
      port:
        name: http-builder-be
        number: 80
        protocol: HTTP
